Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.sequences
Class MultiDimensionalArbitrarySequence

    java.lang.Object
      de.jstacs.data.sequences.Sequence<T>
          de.jstacs.data.sequences.MultiDimensionalSequence<double[]>
              de.jstacs.data.sequences.MultiDimensionalArbitrarySequence

All Implemented Interfaces:
  Comparable<Sequence<double[]>>

    public class MultiDimensionalArbitrarySequence

extends MultiDimensionalSequence<double[]>

This class is for multidimensional arbitrary sequences.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.data.sequences.Sequence
`Sequence.CompositeSequence<T>, Sequence.RecursiveSequence<T>, Sequence.SubSequence<T>`

Field Summary

Fields inherited from class de.jstacs.data.sequences.MultiDimensionalSequence
`content`

Fields inherited from class de.jstacs.data.sequences.Sequence
`alphabetCon, annotation, rc`

Constructor Summary
`MultiDimensionalArbitrarySequence(SequenceAnnotation[] seqAn, ArbitrarySequence... sequence)` This constructor creates an `MultiDimensionalDiscreteSequence` from a set of individual `Sequence`s.

Method Summary
`int` | `compareTo(double[] t1, double[] t2)` This method compares to container and is used in `Sequence.compareTo(Sequence)`.
`void` | `fillContainer(double[] container, int pos)` The method fills the content of a specific position in to the container.
`double[]` | `getEmptyContainer()` The method returns a container that can be used for accessing the symbols for each position.
`protected MultiDimensionalArbitrarySequence` | `getInstance(SequenceAnnotation[] seqAn, Sequence... seqs)`

Methods inherited from class de.jstacs.data.sequences.MultiDimensionalSequence
`addToRepresentation, complement, continuousVal, discreteVal, flatCloneWithoutAnnotation, getAnnotations, getEmptyRepresentation, getLength, getNumberOfSequences, getSequence, getStringRepresentation, hashCodeForPos, isMultiDimensional, reverseComplement`

Methods inherited from class de.jstacs.data.sequences.Sequence
`annotate, compareTo, complement, create, create, create, equals, getAlphabetContainer, getAnnotation, getCompositeSequence, getCompositeSequence, getHammingDistance, getNumberOfSequenceAnnotationsByType, getSequenceAnnotationByType, getSequenceAnnotationByTypeAndIdentifier, getSubSequence, getSubSequence, getSubSequence, getSubSequence, hashCode, matches, reverse, reverse, reverseComplement, toDiscrete, toString, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiDimensionalArbitrarySequence

    public MultiDimensionalArbitrarySequence(SequenceAnnotation[] seqAn,
                                             ArbitrarySequence... sequence)
                                      throws WrongLengthException,
                                             WrongAlphabetException

  This constructor creates an `MultiDimensionalDiscreteSequence` from a set of individual `Sequence`s.

  Parameters:
    `seqAn` - the annotations for the aligned sequences
    `sequence` - the individual sequences that have been aligned
  Throws:
    `WrongLengthException` - if the sequences have different lengths
    `WrongAlphabetException` - if the sequences have different `AlphabetContainer`s

Method Detail

### fillContainer

    public void fillContainer(double[] container,
                              int pos)

  Description copied from class: `Sequence`
  The method fills the content of a specific position in to the container. This is especially of interest for multidimensional sequences.

  Specified by:
    `fillContainer` in class `Sequence<double[]>`
  Parameters:
    `container` - the container which is used for filling the content.
    `pos` - the position
  See Also:
    `Sequence.getEmptyContainer()`, `Sequence.isMultiDimensional()`

### getEmptyContainer

    public double[] getEmptyContainer()

  Description copied from class: `Sequence`
  The method returns a container that can be used for accessing the symbols for each position. This is especially of interest for multidimensional sequences.

  Specified by:
    `getEmptyContainer` in class `Sequence<double[]>`
  Returns:
    a container that can be used for accessing the symbols for each position
  See Also:
    `Sequence.fillContainer(Object, int)`, `Sequence.isMultiDimensional()`

### getInstance

    protected MultiDimensionalArbitrarySequence getInstance(SequenceAnnotation[] seqAn,
                                                            Sequence... seqs)
                                                     throws WrongLengthException,
                                                            WrongAlphabetException

  Specified by:
    `getInstance` in class `MultiDimensionalSequence<double[]>`
  Throws:
    `WrongLengthException`
    `WrongAlphabetException`

### compareTo

    public int compareTo(double[] t1,
                         double[] t2)

  Description copied from class: `Sequence`
  This method compares to container and is used in `Sequence.compareTo(Sequence)`.

  Specified by:
    `compareTo` in class `Sequence<double[]>`
  Parameters:
    `t1` - the first container
    `t2` - the second container
  Returns:
    zero if arguments are equal
  See Also:
    `Sequence.getEmptyContainer()`, `Sequence.fillContainer(Object, int)`, `Comparable.compareTo(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD